Recalcular el estado de los fondos (ventana ampliada hasta hoy)
curl --request POST \
--url https://app.blockgence.com/v1/tracker/{tracker_id}/recompute \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"protocol_addresses": [
{
"address": "<string>",
"source": "<string>",
"role": "protocol"
}
]
}
'import requests
url = "https://app.blockgence.com/v1/tracker/{tracker_id}/recompute"
payload = { "protocol_addresses": [
{
"address": "<string>",
"source": "<string>",
"role": "protocol"
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocol_addresses: [{address: '<string>', source: '<string>', role: 'protocol'}]
})
};
fetch('https://app.blockgence.com/v1/tracker/{tracker_id}/recompute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.blockgence.com/v1/tracker/{tracker_id}/recompute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'protocol_addresses' => [
[
'address' => '<string>',
'source' => '<string>',
'role' => 'protocol'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.blockgence.com/v1/tracker/{tracker_id}/recompute"
payload := strings.NewReader("{\n \"protocol_addresses\": [\n {\n \"address\": \"<string>\",\n \"source\": \"<string>\",\n \"role\": \"protocol\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.blockgence.com/v1/tracker/{tracker_id}/recompute")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"protocol_addresses\": [\n {\n \"address\": \"<string>\",\n \"source\": \"<string>\",\n \"role\": \"protocol\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.blockgence.com/v1/tracker/{tracker_id}/recompute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"protocol_addresses\": [\n {\n \"address\": \"<string>\",\n \"source\": \"<string>\",\n \"role\": \"protocol\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<string>",
"error": "<string>"
}{
"error": "source_unavailable",
"detail": "<string>",
"source": "<string>",
"reason": "<string>",
"retryable": true,
"chain": "<string>",
"primitive": "<string>",
"operation": "<string>",
"target": "<string>",
"http_status": 123,
"retry_after": 123,
"upstream_message": "<string>",
"source_fault": true,
"failure_cause": "<string>"
}Incident
Recalcular el estado de los fondos (ventana ampliada hasta hoy)
Recalcula: corre un playbook nuevo con la ventana ampliada hasta hoy (máximo 180 días desde el exploit) y, al
terminar, agrega una foto con los cambios. Cobra como POST /v1/incident; el mismo recálculo en 24 h devuelve el
job que ya corrió, sin cobrar.
Costo: 40 créditos de base (solo si la respuesta es < 400; algunas rutas cobran menos si reusan un resultado guardado).
POST
/
v1
/
tracker
/
{tracker_id}
/
recompute
Recalcular el estado de los fondos (ventana ampliada hasta hoy)
curl --request POST \
--url https://app.blockgence.com/v1/tracker/{tracker_id}/recompute \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"protocol_addresses": [
{
"address": "<string>",
"source": "<string>",
"role": "protocol"
}
]
}
'import requests
url = "https://app.blockgence.com/v1/tracker/{tracker_id}/recompute"
payload = { "protocol_addresses": [
{
"address": "<string>",
"source": "<string>",
"role": "protocol"
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocol_addresses: [{address: '<string>', source: '<string>', role: 'protocol'}]
})
};
fetch('https://app.blockgence.com/v1/tracker/{tracker_id}/recompute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.blockgence.com/v1/tracker/{tracker_id}/recompute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'protocol_addresses' => [
[
'address' => '<string>',
'source' => '<string>',
'role' => 'protocol'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.blockgence.com/v1/tracker/{tracker_id}/recompute"
payload := strings.NewReader("{\n \"protocol_addresses\": [\n {\n \"address\": \"<string>\",\n \"source\": \"<string>\",\n \"role\": \"protocol\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.blockgence.com/v1/tracker/{tracker_id}/recompute")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"protocol_addresses\": [\n {\n \"address\": \"<string>\",\n \"source\": \"<string>\",\n \"role\": \"protocol\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.blockgence.com/v1/tracker/{tracker_id}/recompute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"protocol_addresses\": [\n {\n \"address\": \"<string>\",\n \"source\": \"<string>\",\n \"role\": \"protocol\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<string>",
"error": "<string>"
}{
"error": "source_unavailable",
"detail": "<string>",
"source": "<string>",
"reason": "<string>",
"retryable": true,
"chain": "<string>",
"primitive": "<string>",
"operation": "<string>",
"target": "<string>",
"http_status": 123,
"retry_after": 123,
"upstream_message": "<string>",
"source_fault": true,
"failure_cause": "<string>"
}Autorizaciones
APIKeyHeaderBearerAuth
Encabezados
Caso activo (opcional): el token de un caso que podés ver. La consulta queda en el registro de actividad de ese caso y resuelve también sus labels propias. Un caso que no existe, se borró o ya no está compartido con vos da 400 case_unavailable y la consulta no se hace (sin cobro).
Parámetros de ruta
Cuerpo
application/json
Respuesta
Successful Response